Bug 483657 - Review Request: perl-MooseX-Policy-SemiAffordanceAccessor - Policy to name accessors foo() and set_foo()
Review Request: perl-MooseX-Policy-SemiAffordanceAccessor - Policy to name a...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-02 15:00 EST by Allisson Azevedo
Modified: 2009-02-06 11:46 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-06 11:46:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Allisson Azevedo 2009-02-02 15:00:45 EST
Spec URL: http://allisson.fedorapeople.org/packages/perl-MooseX-Policy-SemiAffordanceAccessor/perl-MooseX-Policy-SemiAffordanceAccessor.spec

SRPM URL: http://allisson.fedorapeople.org/packages/perl-MooseX-Policy-SemiAffordanceAccessor/perl-MooseX-Policy-SemiAffordanceAccessor-0.02-1.fc10.src.rpm

Description: This class does not provide any methods. Just loading it changes the
default naming policy for the package so that accessors are separated into
get and set methods. The get methods have the same name as the accessor,
while set methods are prefixed with "set_".
Comment 1 Parag AN(पराग) 2009-02-02 21:33:11 EST
Review:
+ package builds in mock (rawhide i386).
koji build => http://koji.fedoraproject.org/koji/taskinfo?taskID=1100438
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
7e0e2733a55f27c98bb3b5503f005de9  MooseX-Policy-SemiAffordanceAccessor-0.02.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test outputs
Files=4, Tests=8,  1 wallclock secs ( 0.02 usr  0.01 sys +  0.33 cusr  0.03 csys =  0.39 CPU)
+ Package perl-MooseX-Policy-SemiAffordanceAccessor-0.02-1.fc11 ->
Provides: perl(MooseX::Policy::SemiAffordanceAccessor) = 0.02 perl(MooseX::Policy::SemiAffordanceAccessor::Attribute)
Requires: perl(Moose) perl(constant) perl(strict) perl(warnings)


 APPROVED.
Comment 2 Allisson Azevedo 2009-02-03 05:43:52 EST
New Package CVS Request
=======================
Package Name: perl-MooseX-Policy-SemiAffordanceAccessor
Short Description: Policy to name accessors foo() and set_foo()
Owners: allisson
Branches: F-9 F-10
Comment 3 Kevin Fenzi 2009-02-05 21:50:50 EST
cvs done.

Note You need to log in before you can comment on or make changes to this bug.